<div id="youtube-embed" fxLayoutAlign="center center" [ngStyle]="generateYoutubeEmbedStyles()">
	<img id="video-thumbnail" *ngIf="thumbnailSrc && videoPlayed == false" [src]="thumbnailSrc" alt="Video Thumbnail" />

	<div id="overlays" *ngIf="customOverlay == false && videoPlayed == false" fxLayoutAlign="center center">
		<span id="play-button" class="mdi mdi-play-circle big" (click)="playVideo()" fxHide.xs></span>
		<span  id="play-button" class="mdi mdi-play-circle small" (click)="playVideo()" fxHide.gt-xs></span>
	</div>

	<ng-content select="yte-custom-overlay" *ngIf="customOverlay == true && videoPlayed == false">
		<!-- inject content here -->
	</ng-content>

	<div id="video-container" *ngIf="videoPlayed == true && videoSrc" fxLayoutAlign="center center">
		<iframe [src]="videoSrcSafe" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
	</div>
</div>